petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCShellGetContext

Returns the user-provided context associated with a shell PC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellGetContext(PC pc,void **ctx)

Not Collective

### Input Parameter

pc -should have been created with PCSetType(pc,shell)

### Output Parameter

ctx -the user provided context

### Notes

This routine is intended for use within various shell routines

### Fortran Notes

To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### Keywords

PC, shell, get, context

### See Also

PCShellSetContext()

### Level

advanced

### Location

src/ksp/pc/impls/shell/shellpc.c

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages